/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

/*
	index[n]: 1  ; Port 1
			  2  ; Port 2
	          
			 ....
	mode[n]: 0  ; RS232
	         1  ; RS485-2W
			 2  ; RS422/RS485-4W
	         
*/

#include "stdafx.h"
#include <windows.h>
#include "devices.h"
char mode_array[][20]={"RS232", "RS485-2W", "RS422","RS485-4W"};

int _tmain(int argc, _TCHAR* argv[])
{
	int port=0,mode=0;
	int n=0;

	WCHAR sin,smode;
	printf("UART Mode Test Program\n");
    printf("\t (0) Exit Program\n");
    printf("\t (1) Display UART Mode\n");
    printf("\t (2) Set UART Mode\n");

	sin=getwchar();
	n=_wtoi(&sin);
	
	
	do
    {
        switch (n)
        {
            // if char == '1', display the UART Mode
            case 1:
				for (int i = 1; i < 3; i++)
                {
					mode=uart_getmode(i);
					printf("COM%d=%s\n",i,mode_array[mode]);

                }
               
                break;
            // if char == '2', Set the UART Mode
            case 2:
             
				//Get Port Number
				getwchar();
				printf("Input the Port Number (1 or 2) = \n");
				smode=getwchar();
				port=_wtoi(&smode);
			
				//Get Mode Value
                getwchar();
                printf("Input the Mode value (0 ~ 3) = ");
				smode=getwchar();
				mode=_wtoi(&smode);
		
				//Set UART Mode
				if(uart_setmode(port,mode)==-1)
				{
					printf("Set UART Mode Fail!!\n");
				}                
				else
				{
					printf("COM%d=%s\n",port,mode_array[mode]);
				}
                break;
        }
		getwchar();
        sin = getwchar();
        n = _wtoi(&sin);
    } while (n != 0);

	return 0;
}

