/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

#include "stdafx.h"
#include <windows.h>

int _tmain(int argc, _TCHAR* argv[])
{
	BYTE pattern[20] = "1234567890";      // data
	HANDLE hSerial = NULL;                // serial port handle
	DCB dcb;                              // setting structure of Serial port
	WCHAR szPort[20] = L"\\\\.\\COM1";          // define COM1: to be the port of data sent
	
	// Open serial port
	hSerial = CreateFile( szPort, GENERIC_READ | GENERIC_WRITE, 0, NULL, OPEN_EXISTING, 0, NULL);
	if ( hSerial != INVALID_HANDLE_VALUE )
	{
		// Get Port setting structure
		GetCommState(hSerial, &dcb);

		dcb.BaudRate = 115200;                     // set baud rate to 115200 bps
		dcb.fRtsControl = RTS_CONTROL_HANDSHAKE;   // set Hardware flow control
		dcb.ByteSize = 8;                          // data size = 8
		dcb.StopBits = ONESTOPBIT;                 // stop bit = 1
		dcb.Parity = NOPARITY;                     // no parity

		// Update Port setting structure
		SetCommState(hSerial, &dcb);

		DWORD dwReturned = 0;
		
		// send pattern
		WriteFile( hSerial, pattern, 10 /* send 10 bytes only */, &dwReturned, NULL);

		// Close Serial Port Handle
		CloseHandle(hSerial);
	}
	return 0;
}

